Bug 1428447 - Storage tab cannot be opened
Summary: Storage tab cannot be opened
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Dave Johnson
URL:
Whiteboard: ui
: 1430323 (view as bug list)
Depends On:
Blocks: 1383388 1389732 1392641
TreeView+ depends on / blocked
 
Reported: 2017-03-02 15:54 UTC by Dmitry Misharov
Modified: 2019-08-06 20:05 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:37:51 UTC
Category: Bug
Cloudforms Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Dmitry Misharov 2017-03-02 15:54:30 UTC
Description of problem:
Storage tab in left side navigation menu is empty. If a user tries to open it an exception will be thrown.

Version-Release number of selected component (if applicable):
5.8.0.3.20170301174324_1e2e0c4

How reproducible:
Always

Steps to Reproduce:
1. Click on Storage tab in the left side menu

Actual results:
An exception will be thrown:
Error text:
Cannot redirect to nil! [dashboard/maintab]

Comment 3 Harpreet Kataria 2017-03-08 18:12:07 UTC
*** Bug 1430323 has been marked as a duplicate of this bug. ***

Comment 4 CFME Bot 2017-03-10 20:31:14 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/872b03a0d61ea85df70a108965bdfeb20c68e921

commit 872b03a0d61ea85df70a108965bdfeb20c68e921
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Mar 2 14:22:38 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Mar 2 14:22:38 2017 -0500

    Added missing second level menu keys for Storage menu
    
    These sections were added in https://github.com/ManageIQ/manageiq-ui-classic/commit/66797bac889512c7f9192ab772c6556f1c991f09
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428447

 config/permissions.tmpl.yml | 2 ++
 1 file changed, 2 insertions(+)

Comment 6 CFME Bot 2017-03-10 21:43:15 UTC
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=70f9e47f70ec22e4bf803d61a53c9edc6324967e

commit 70f9e47f70ec22e4bf803d61a53c9edc6324967e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Mar 10 16:13:38 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Mar 10 16:13:38 2017 -0500

     Added missing second level menu keys for Storage menu
    
    These sections were added in ManageIQ/manageiq-ui-classic@66797ba
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428447

 manageiq/config/permissions.yml | 2 ++
 1 file changed, 2 insertions(+)

Comment 7 CFME Bot 2017-03-10 21:43:20 UTC
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=6b4831d784a824b6576b21fac56c5217ca9c7292

commit 6b4831d784a824b6576b21fac56c5217ca9c7292
Merge: 12dbfe6 70f9e47
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Fri Mar 10 16:38:24 2017 -0500
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Fri Mar 10 16:38:24 2017 -0500

    Merge branch 'productization_change_for_pr_14145' into 'master'
    
    Added missing second level menu keys for Storage menu
    
    These sections were added in ManageIQ/manageiq-ui-classic@66797ba
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428447
    
    @Fryguy @simaishi please review, downstream MR for https://github.com/ManageIQ/manageiq/pull/14145
    
    See merge request !429

 manageiq/config/permissions.yml | 2 ++
 1 file changed, 2 insertions(+)

Comment 9 Ronnie Rasouli 2017-03-19 11:50:00 UTC
verified 5.8.0.6

Comment 11 errata-xmlrpc 2017-05-31 14:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.